=== debian/changelog ===
scummvm-tools (2.6.0-2build1) lunar; urgency=medium

  * No-change rebuild against libflac++10 & libflac12.

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Nov 2022 16:29:31 +0000

scummvm-tools (2.6.0-2) unstable; urgency=medium

  * Switch to wxwidgets3.2. Closes: #1019793.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Sep 2022 14:18:00 +0200

scummvm-tools (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 07 Aug 2022 18:02:06 +0200
