=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: scummvm-tools
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libboost-program-options-dev,
                libflac-dev,
-               libfreetype6-dev,
+               libfreetype-dev,
                libmad0-dev,
                libpng-dev,
                libvorbis-dev,
                libwxgtk3.2-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/games-team/scummvm-tools
 Vcs-Git: https://salsa.debian.org/games-team/scummvm-tools.git
 Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools
