=== debian/changelog ===
scummvm-tools (2.9.0-1build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:08:46 +0200

scummvm-tools (2.9.0-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:58:21 +0200

scummvm-tools (2.9.0-1build1) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:39:21 -0500

scummvm-tools (2.9.0-1) unstable; urgency=medium

  [ Stephen Kitt ]
  * New upstream release.
  * Point to the new homepage.
  * Standards-Version 4.7.0, no change required.

  [ Alexandre Detiste ]
  * Build-depend on pkgconf instead of pkg-config.

 -- Stephen Kitt <skitt@debian.org>  Fri, 17 Jan 2025 08:59:20 +0100
