=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: scummvm-tools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
@@ -12,12 +11,12 @@
                libpng-dev,
                libvorbis-dev,
                libwxgtk3.2-dev,
-               pkg-config,
+               pkgconf,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/games-team/scummvm-tools
 Vcs-Git: https://salsa.debian.org/games-team/scummvm-tools.git
-Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools
+Homepage: https://wiki.scummvm.org/index.php?title=ScummVM_Tools
 Rules-Requires-Root: no
 
 Package: scummvm-tools
