=== debian/watch ===
version=4
# s/-/~/ excludes e.g. -win32.zip
opts="dirversionmangle=s/rc/~rc/;s/b/~b/, \
      uversionmangle=s/rc/~rc/;s/b/~b/;s/-/~/" \
  https://www.scummvm.org/downloads/ \
  .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
